%define debug 0

%define final 0
%define rpm_clean 1

%define redhatify 1

%define libtool 0

%define qt_version 3.3.1

Version: 3.2.2
Release: 3
Name: kdeutils
Prefix: /usr
Summary: K Desktop Environment - Utilities
Epoch: 6
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-buildroot

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch1: kdf-3.0.2-label.patch
Patch2: kde-libtool.patch
Patch3: kdeutils-3.2.2-misc.patch
Patch4: kdeutils-3.2.2-dt.patch

Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}

Prereq: /sbin/ldconfig

BuildRequires: kdebase-devel >= 3.2.2
BuildRequires: automake

Obsoletes: ark
Obsoletes: kcalc
Obsoletes: kcharselect
Obsoletes: kdepasswd
Obsoletes: kdessh
Obsoletes: kdeutils-laptop
Obsoletes: kdf
Obsoletes: kedit
Obsoletes: kfloppy
Obsoletes: khexedit
Obsoletes: kjots
Obsoletes: kljettool
Obsoletes: klpq
Obsoletes: klprfax
Obsoletes: kregexpeditor
Obsoletes: kregexpeditor-devel
Obsoletes: ktimer

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive manager); kcalc (scientific calculator);
kcharselect (character selector); kdepasswd (change password);
kdessh (ssh front end); kdf (view disk usage); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klaptopdaemon (battery monitoring and management for laptops);
ksim (system information monitor); ktimer (task scheduler);
kwikdisk (removable media utility)

%package devel
Summary: Development files for kdeutils
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdebase-devel

%description devel
Development files for kdeutils. Install kdeutils-devel if you wish
to develop or compile KDE utils applications.

%package -n ark
Summary: GUI frontend for handling archive files
Group: Applications/Archiving
Requires: zip unzip tar
Obsoletes: kdeutils

%description -n ark
Ark is a KDE tool for handling archive files.
It supports the following file formats:
  zip
  plain tar and tar with compressors lzop, gzip, bzip2, bzip, compress
  lha
  zoo
  single files compressed with compressors lzop, gzip, bzip2, bzip, compress
  rar
  ar

%package -n kcalc
Summary: KDE pocket calculator
Group: Applications/Engineering
Obsoletes: kdeutils

%description -n kcalc
A KDE pocket calculator.

%package -n kcharselect
Summary: Character Selector
Group: User Interface/Desktops
Requires: kdebase >= 3.0.4
Obsoletes: kdeutils

%description -n kcharselect
KDE Character Selector - allows you to enter characters not found on your
keyboard.

%package -n kdepasswd
Summary: KDE frontend to changing your password
Group: User Interface/Desktops
Obsoletes: kdeutils

%description -n kdepasswd
KDE frontend to changing your password and other user data.

%package -n kdessh
Summary: KDE frontend to ssh
Group: Applications/Internet
Requires: openssh-clients
Obsoletes: kdeutils

%description -n kdessh
KDE frontend to ssh (Secure Shell, an application to remotely control a
different Linux or Linux-like system securely).

%package -n kdf
Summary: Application and KDE applet to monitor available diskspace
Group: Applications/System
Requires: kdebase >= %{version}
Obsoletes: kdeutils

%description -n kdf
kdeutils-kdf contains the kdf, kwikdisk and kcmdf tools for monitoring
available diskspace.

%package -n kedit
Summary: An easy to use text editor
Group: Applications/Editors
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n kedit
An easy to use text editor

%package -n kfloppy
Summary: Floppy disk formatter
Group: Applications/System
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n kfloppy
KFloppy formats floppy disks and creates ext2 or DOS filesystems on them.

%package -n khexedit
Summary: Hex editor
Group: Applications/Editors
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n khexedit
A KDE hex editor. It allows you to edit binary files.

%package -n kjots
Summary: Virtual notepad
Group: User Interface/Desktops
Obsoletes: kdeutils

%description -n kjots
KJots is a virtual notepad - you can put notes on your desktop.

%package laptop
Summary: Laptop utilities for KDE
Group: User Interface/Desktops
Requires: kdebase >= %{version}
Obsoletes: kdeutils

%description laptop
Various laptop-related utilities for KDE.
kdeutils-laptop adds battery monitoring to kicker (the KDE panel) and allows
you to manage power management and PCMCIA cards from the KDE control center.

%package -n kljettool
Summary: Configuration tool for LaserJet and similar printers
Group: Applications/Publishing
Obsoletes: kdeutils

%description -n kljettool
A KDE Configuration tool for HP LaserJet and compatible printers.

%package -n klpq
Summary: KDE tool for managing your print spooler
Group: Applications/System
Requires: /usr/bin/lpq
Obsoletes: kdeutils

%description -n klpq
A KDE tool for managing your print spooler.

%package -n klprfax
Summary: Fax sending support for KDE
Group: Applications/System
Requires: /usr/bin/lpq
Requires: kdebase >= %{version}
Obsoletes: kdeutils

%description -n klprfax
Fax sending support for KDE.
kdeutils-klprfax allows any KDE application to treat a fax modem just like
a printer. Any KDE application that can print will be able to send faxes.

%package -n kregexpeditor
Summary: Regular Expressions Editor
Group: Applications/System
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n kregexpeditor
A Regular Expressions Editor.

%package -n kregexpeditor-devel
Summary: Development files for kregexpeditor
Group: Development/Libraries
Obsoletes: kdeutils

%description -n kregexpeditor-devel
Development files for kregexpeditor

%package -n ktimer
Summary: A timer (stop watch).
Group: User Interface/Desktops
Requires: kdelibs >= %{version}
Obsoletes: kdeutils

%description -n ktimer
A timer (stop watch).

%prep
%setup -q

%patch1 -p1 -b .label
%patch2 -p1 -b .libtool
%patch3 -p1 -b .misc
%patch4 -p1 -b .dt

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export KDEDIR=%{prefix}
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-use-cxa-atexit -fno-check-new"
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

%if %{libtool}
  # Workaround for legacy auto* tools
  [ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
  [ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
  [ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
  [ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
  export PATH=`pwd`:$PATH
  make -f admin/Makefile.common cvs
%endif

%configure \
   --disable-rpath \
   --with-qt-libraries=$QTDIR/lib \
%if %{final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde

# The Makefiles in kfloppy are broken; they can't handle
# SMPified builds. FIXME
make -C kfloppy %{?_smp_mflags}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && ln -sf ../common $i
done
popd

desktop-file-install --vendor "" \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
   --delete-original \
   --copy-generic-name-to-name \
   $RPM_BUILD_ROOT%{_datadir}/applications/kde/KEdit.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applications/kde/kcalc.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applications/kde/ark.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applications/kde/KCharSelect.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applications/kde/KFloppy.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/icons/*/*/*/*
%{_datadir}/apps/*
%config %{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applications/kde/*
%{_datadir}/autostart/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Thu May 06 2004 Than Ngo <than@redhat.com> 6:3.2.2-3
- cleanup GNOME/KDE menu

* Sun May 02 2004 Than Ngo <than@redhat.com> 6:3.2.2-2
- fix "Extract here" for tar.gz, #122048
- don't show some KDE apps in GNOME, #117271

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 6:3.2.2-1
- update to 3.2.2

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-1.1
- cleanup KDE/GNOME menus

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 6:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Than Ngo <than@redhat.com> 6:3.2.0-1.2
- gcc 3.4 build problem

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 11 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.1
- 3.2.0 release
- built against qt 3.3.0

* Thu Jan 22 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup specfile

* Wed Oct 01 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4
- add Prereq: /sbin/ldconfig
- remove kdeutils-3.1.3-gcc33.patch, which is in upstream

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- fix build problem with gcc 3.3

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- rebuilt

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Tue Apr  8 2003 Than Ngo <than@redhat.com> 3.1.1-2
- fixed package description #53035

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 23 2003 Than Ngo <than@redhat.com> 3.1-3
- requires kdelibs/kdebase instead kdelib-devel/kdebase-devel

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop issues
- get rid of sub packages
- add new kdeutils-devel

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Aug 31 2002 Than Ngo <than@redhat.com> 3.0.3-3
- fix Configure... menu entry in Klaptop applet

* Mon Aug 19 2002 Karsten Hopp <karsten@redhat.de>
- Skip LABEL entries in /etc/FSTAB until kdf can handle them
  The mounts show up with their device name instead (#71063)

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop files issue (bug #67304,67305)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild with changed sonames

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add prompt for overwriting files in kedit (#59321)

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Fix updating from 2.x (#62259)

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Wed Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- kpm is now fully in kdebase; remove spec file hacks

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020131.1
- Update, remove kpm (it's in kdebase now)

* Tue Jan 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020122.1
- Fix bug #58658

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Build with new kdelibs, update

* Thu Dec 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011227.1
- Update
- Split into subpackages

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove efax from the package, we're shipping it separately
- Update

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Make symlinks relative

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up detection of PCMCIA sockets

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- Don't exclude ia64 anymore

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdeutils-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- turn off SMP build for kfloppy (broken Makefiles)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-40 and glibc-2.1.92-14
- don't use make -j, it is broken

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch: ia64

* Thu Apr  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Require and BuildPrereq kdebase - kfind uses libkonq.
- new snapshot

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- we don't support lp or lprng in 6.x, use lpr as spooler in klpq.
- specific requires for zip and unzip for ark.

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- kde 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot provides kpm and kwrite fixes.

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







